Bug 433620 - Greek language is not displayed correctly
Greek language is not displayed correctly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glest-data (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
http://www.glest.org/glest_board/view...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 07:25 EST by Edward Karavakis
Modified: 2008-03-04 14:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 14:20:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Karavakis 2008-02-20 07:25:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
Greek language is not displayed correctly - wrong font used? problem with the encoding? 

Seems that ~/.glest/data/lang/glest.ini is not ported to Linux. Strangely, there is even a windows registry file to fix the Greek language problem on Windows.
Also, the Font used is invalid.


# cd ~/.glest/data/lang
# cat glest.ini |grep "Font"
FontConsole=Verdana Greek
FontDisplay=Verdana Greek
FontMenu=Verdana Greek
# cat glest.ini |grep Platform
Platform=Windows
# ls -la *greek*
-rw-r--r-- 1 root root 4273 2008-02-13 01:28 greek.lng
-rw-r--r-- 1 root root  388 2008-02-13 01:33 verdanagreek.reg



Version-Release number of selected component (if applicable):
glest-3.1.0-1.fc8 glest-data-3.1.0-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. start glest
2. go to options
3. change language to greek

Actual Results:
stange characters instead of greek characters

Expected Results:
Greek lang should work

Additional info:
http://www.glest.org/glest_board/viewtopic.php?t=1552&highlight=greek
http://www.glest.org/glest_board/viewtopic.php?t=3227&highlight=greek
Seems like that the fix only works on Windows (there's a windows registry file as well).
  
# cd ~/.glest/data/lang
# cat glest.ini |grep "Font"
FontConsole=Verdana Greek
FontDisplay=Verdana Greek
FontMenu=Verdana Greek
# cat glest.ini |grep Platform
Platform=Windows
# ls -la *greek*
-rw-r--r-- 1 root root 4273 2008-02-13 01:28 greek.lng
-rw-r--r-- 1 root root  388 2008-02-13 01:33 verdanagreek.reg
Comment 1 Aurelien Bompard 2008-03-04 14:20:56 EST
Hi, sorry for not responding earlier.
I believe this problem is not packaging-related, you'd be better off reporting
it to the glest forums on glest.org
If you feel diffrently, please reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.